mdns_outmsg Struct Reference

`#include <mdns_priv.h>`

## Data Fields

u16_t | tx_id
u8_t | flags
ip_addr_t | dest_addr
u8_t | cache_flush
u8_t | unicast_reply_requested
u8_t | legacy_query
u8_t | probe_query_recv
struct mdns_request * | query

## Detailed Description

mDNS output message

## Field Documentation

## cache_flush

u8_t mdns_outmsg::cache_flush

If all answers in packet should set cache_flush bit

## dest_addr

ip_addr_t mdns_outmsg::dest_addr

Destination IP/port if sent unicast

## flags

u8_t mdns_outmsg::flags

dns flags

## legacy_query

u8_t mdns_outmsg::legacy_query

If legacy query. (tx_id needed, and write question again in reply before answer)

## probe_query_recv

u8_t mdns_outmsg::probe_query_recv

If the query is a probe msg we need to respond immediately. Independent of the QU or QM flag.

## query

struct mdns_request* mdns_outmsg::query

Search query to send

## tx_id

u16_t mdns_outmsg::tx_id

Identifier. Used in legacy queries

## unicast_reply_requested

u8_t mdns_outmsg::unicast_reply_requested

If reply should be sent unicast (as requested)

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mdns_priv.h